package com.ycwl.basic.mapper.pc;

import com.ycwl.basic.model.pc.scenic.entity.ScenicEntity;
import com.ycwl.basic.model.pc.scenic.req.ScenicReqQuery;
import com.ycwl.basic.model.pc.scenic.resp.ScenicRespVO;
import com.ycwl.basic.model.pc.source.entity.SourceEntity;
import com.ycwl.basic.model.pc.source.req.SourceReqQuery;
import com.ycwl.basic.model.pc.source.resp.SourceRespVO;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 11:21
 */
public interface SourceMapper {
    List<SourceRespVO> list(SourceReqQuery sourceReqQuery);
    SourceRespVO getById(Long id);
    int add(SourceEntity source);
    int deleteById(Long id);
    int update(SourceEntity source);
}
